require 'rails/generators'
require 'rails/generators/base'

module SentinelApi
  module Generators
    class InstallGenerator < ::Rails::Generators::Base
      source_root File.expand_path('./templates', __dir__)

      desc "Creates SentinelApi initializer"
      def create_sentinel_initializer
        template 'initializer.rb', 'config/initializers/sentinel_api.rb'

        puts 'Done'
      end
    end
  end
end